Package: org.codehaus.groovy.transform.stc

## [Java] Class EnumTypeCheckingExtension

- org.codehaus.groovy.transform.stc.EnumTypeCheckingExtension

-     public class EnumTypeCheckingExtension
      extends TypeCheckingExtension

  A type checking extension that will take care of handling errors which are specific to enums. In particular, it will handle the enum constants within a switch's case statements.

  Since:
    3.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class TypeCheckingExtension` | `typeCheckingVisitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EnumTypeCheckingExtension(StaticTypeCheckingVisitor staticTypeCheckingVisitor)` Creates the enum-specific type-checking extension.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `handleUnresolvedVariableExpression(VariableExpression vexp)` Resolves enum constants referenced inside switch case labels.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class TypeCheckingExtension` | `addStaticTypeError, afterMethodCall, afterVisitClass, afterVisitMethod, beforeMethodCall, beforeVisitClass, beforeVisitMethod, buildListType, buildMapType, classNodeFor, classNodeFor, existsProperty, existsProperty, extractStaticReceiver, finish, getArgumentTypes, getOptions, getTargetMethod, getType, handleAmbiguousMethods, handleIncompatibleAssignment, handleIncompatibleReturnType, handleMissingMethod, handleUnresolvedAttribute, handleUnresolvedProperty, handleUnresolvedVariableExpression, isStaticMethodCallOnClass, lookupClassNodeFor, onMethodSelection, parameterizedType, setOptions, setup, storeType`

- - ### Constructor Detail

    - #### public EnumTypeCheckingExtension(StaticTypeCheckingVisitor staticTypeCheckingVisitor)

      Creates the enum-specific type-checking extension.

  - ### Method Detail

    - #### public boolean handleUnresolvedVariableExpression(VariableExpression vexp)

      Resolves enum constants referenced inside switch case labels.